com.dlsc.flexgantt.swing

## Enum MultiGanttChartContainerEvent.ID

- java.lang.Object
- - java.lang.Enum<MultiGanttChartContainerEvent.ID>
  - - com.dlsc.flexgantt.swing.MultiGanttChartContainerEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<MultiGanttChartContainerEvent.ID>
  Enclosing class:
    MultiGanttChartContainerEvent

      public static enum MultiGanttChartContainerEvent.ID
      extends Enum<MultiGanttChartContainerEvent.ID>

  An identifier used to distinguish between different types of multi Gantt chart container events.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GANTT_CHART_ADDED` An event ID used when Gantt charts get added to the container.
    `GANTT_CHART_CHANGED` An event ID used when the currently selected Gantt chart changes.
    `GANTT_CHART_INSERTED` An event ID used when Gantt charts get inserted into the container.
    `GANTT_CHART_REMOVED` An event ID used when Gantt charts get removed from the container.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiGanttChartContainerEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MultiGanttChartContainerEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GANTT_CHART_ADDED

          public static final MultiGanttChartContainerEvent.ID GANTT_CHART_ADDED

      An event ID used when Gantt charts get added to the container.
      Since:
        1.0

    - #### GANTT_CHART_REMOVED

          public static final MultiGanttChartContainerEvent.ID GANTT_CHART_REMOVED

      An event ID used when Gantt charts get removed from the container.
      Since:
        1.0

    - #### GANTT_CHART_CHANGED

          public static final MultiGanttChartContainerEvent.ID GANTT_CHART_CHANGED

      An event ID used when the currently selected Gantt chart changes.
      Since:
        1.0

    - #### GANTT_CHART_INSERTED

          public static final MultiGanttChartContainerEvent.ID GANTT_CHART_INSERTED

      An event ID used when Gantt charts get inserted into the container.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static MultiGanttChartContainerEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiGanttChartContainerEvent.ID c : MultiGanttChartContainerEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiGanttChartContainerEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.